Package org.apache.tools.ant.util

# Class UnPackageNameMapper

java.lang.Object
org.apache.tools.ant.util.GlobPatternMapper
org.apache.tools.ant.util.UnPackageNameMapper

All Implemented Interfaces:
  `FileNameMapper`

    public class UnPackageNameMapper
    extends GlobPatternMapper

Maps dotted package name matches to a directory name. This is the inverse of the package mapper. This is useful for matching XML formatter results against their JUnit test cases.

     <mapper classname="org.apache.tools.ant.util.UnPackageNameMapper"
             from="${test.data.dir}/TEST-*Test.xml" to="*Test.java">

## Field Summary

### Fields inherited from class org.apache.tools.ant.util.GlobPatternMapper

`fromPostfix, fromPrefix, postfixLength, prefixLength, toPostfix, toPrefix`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UnPackageNameMapper()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected java.lang.String` | `extractVariablePart​(java.lang.String name)` | Returns the part of the given string that matches the * in the "from" pattern replacing dots with file separators

### Methods inherited from class org.apache.tools.ant.util.GlobPatternMapper

`getHandleDirSep, mapFileName, setCaseSensitive, setFrom, setHandleDirSep, setTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnPackageNameMapper

public UnPackageNameMapper()

## Method Details

### extractVariablePart

protected java.lang.String extractVariablePart​(java.lang.String name)
Returns the part of the given string that matches the * in the "from" pattern replacing dots with file separators

Overrides:
  `extractVariablePart` in class `GlobPatternMapper`
Parameters:
  `name` - Source filename
Returns:
  Replaced variable part